# Custom Host

## List of Custom Hosts Not in Host Pools

> Retrieve a list of Azure Virtual Desktop Custom Hosts not in Host Pools.\<br />

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/AVD/CustomHost":{"get":{"tags":["0-Infrastructure/AVD//Custom Host"],"summary":"List of Custom Hosts Not in Host Pools","description":"Retrieve a list of Azure Virtual Desktop Custom Hosts not in Host Pools.<br />","operationId":"114f5321-6102-41db-82ed-7366ed6a838f","parameters":[{"name":"providerId","in":"query","description":"The Provider ID for which to retrieve the list of Azure Virtual Desktop Custom Hosts.","schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AVDCustomHost"}}}}},"400":{"description":"Bad Request","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"AVDCustomHost":{"type":"object","properties":{"host":{"type":"string","description":"<para type=\"description\">Host</para>","nullable":true},"hostPool":{"type":"string","description":"<para type=\"description\">Host Pool</para>","nullable":true},"hostOS":{"type":"string","description":"<para type=\"description\">Host OS</para>","nullable":true},"hostState":{"$ref":"#/components/schemas/PowerState"},"resourceGroup":{"type":"string","description":"<para type=\"description\">Resource Group</para>","nullable":true},"location":{"type":"string","description":"<para type=\"description\">Location</para>","nullable":true},"virtualNetwork":{"type":"string","description":"<para type=\"description\">Virtual Network</para>","nullable":true},"providerId":{"type":"integer","description":"<para type=\"description\">Provider Id</para>","format":"int32"},"azureId":{"type":"string","description":"<para type=\"description\">Azure Id</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">AVD Custom Host</para>\r\n<para type=\"description\"></para>"},"PowerState":{"enum":[["0 = Unknown","1 = PoweringOn","2 = PoweringOff","3 = PoweredOn","4 = PoweredOff"]],"type":"string","description":"<para type=\"synopsis\">Power State</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/infrastructure/avd/custom-host.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
